jclouds-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Ignasi Barrera <n...@apache.org>
Subject Re: Serious problem with OpenStack rocky and jclouds GlanceApi
Date Sun, 09 Dec 2018 17:17:10 GMT
Hi Fritz,

That is indeed a real issue, and the main blocker to have it implemented is
the availability of volunteer time to develop that. Currently, no one in
the jclouds team is actually paid to work on jclouds. The project is a 100%
volunteer effort, which makes it difficult to commit to concrete
dates/releases.

Personally, I don't have enough cycles right now to implement it, but I
would be very happy to provide guidance, help and work with anyone that
would like to lead this. Implementing an API like Glance isn't be an
extremely difficult task (we've had GSoC students implement several jclouds
APIs), so it should not be a scary thing to tackle if anyone wants to step
in.


On Thu, 6 Dec 2018 at 20:53, Fritz Elfert <fritz@fritz-elfert.de> wrote:

> Hi guys,
>
> I just tried using GlanceApi from jclouds 2.1.x against OpenStack Rocky
> and it fails hopelessly because OpenStack Rocky does not support glance
> API 1.0 anymore :-(
>
> Quote from the release notes at
> https://docs.openstack.org/releasenotes/glance/rocky.html:
>
> "This release of OpenStack Glance introduces 2 new API versions. Images
> API v2.7 adds support and modifications for the Hidden Images and
> Multihash features introduced during Rocky cycle. Version 2.8 is
> included as an optional EXPERIMENTAL API for testing and preparing for
> multiple back-end support.
>
> Rocky development cycle marks long waited milestone on Glance work. The
> Images API v1 which has been deprecated for years is finally removed and
> not available at all in Glance version 17.0.0 forward."
>
>
> So, the obvious question is:
>
> When will jclouds support glance-api >= 2.7 ?
>
> Thanks in advance
>  -Fritz
>
>

Mime
View raw message